"""Setup file"""

import setuptools

with open("README.md", "r") as fh:
    LONG_DESCRIPTION = fh.read()

setuptools.setup(
    name="rival_regions_marketbot",
    version="0.0.1",
    author="Thibault",
    author_email="josspam1920@gmail.com",
    description="Rival Regions marketbot",
    long_description=LONG_DESCRIPTION,
    long_description_content_type="text/markdown",
    url="https://git.craftbroec.nl/Harry/MarketBot",
    packages=setuptools.find_packages("src"),
    package_dir={"": "src"},
    entry_points={
        "console_scripts": [
            "rr-marketbot=rival_regions_marketbot.__main__:main"
        ],
    },
    install_requires=[
        "rival-regions-wrapper",
        "python-dotenv",
    ],
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: Apache Software License",
        "Operating System :: OS Independent",
    ],
)
